PCP_PROMOTE_NODE(1)

NAME
pcp_promote_node - promotes the given node as new master to Pgpool-II

SYNOPSIS

pcp_promote_node [options...] [node_id] [gracefully]

DESCRIPTION

pcp_promote_node promotes the given node as new master to Pgpool-II. In master/slave streaming replication only. Please note that this command does not actually promote standby PostgreSQL backend: it just changes the internal status of Pgpool-II and trigger failover and users have to promote standby PostgreSQL outside Pgpool-II.

OPTIONS

-n node_id
--node-id=node_id
    The index of backend node to promote as new master.

-g
--gracefully
    Wait until all clients are disconnected (unless client_idle_limit_in_recovery is -1 or recovery_timeout is expired).

Other options
    See pcp_common_options(1).